package de.jottyfan.camporganizer.module.confirmation.person.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.jottyfan.camporganizer.module.confirmation.person.IPersonService;

/**
 *
 * @author jotty
 *
 */
@Service
public class PersonService implements IPersonService {
	@Autowired
	private PersonGateway gateway;

	@Override
	public PersonBean getPerson(String username, Integer pk) {
		return gateway.getPerson(username, pk);
	}

	@Override
	public Integer updatePerson(PersonBean bean, String worker) {
		return gateway.updatePerson(bean, worker);
	}

	@Override
	public List<CampBean> getCamps(String username) {
		return gateway.getCamps(username);
	}

	@Override
	public String getAnnotations(Integer pk) {
		return gateway.getAnnotations(pk);
	}

}
